<?php

namespace Status\Status\Forms;

use Litepie\Form\FormInterpreter;

class Status extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('status/status/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('status/status/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('status/status'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('status/status'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('status/status'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('status/status'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('status::status.label.name'),
                "placeholder" => trans('status::status.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('status::status.label.created_at'),
            'name' => trans('status::status.label.name'),
            'status' => trans('status::status.label.status'),
        ];
        self::$groups = [
            'main' => trans('status::status.groups.main'),
            'details' => trans('status::status.groups.details'),
            'images' => trans('status::status.groups.images'),
            'settings' => trans('status::status.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('status::status.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('status::status.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('status::status.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('status::status.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('status::status.label.name'),
                "placeholder" => trans('status::status.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('status::status.label.code'),
                "placeholder" => trans('status::status.placeholder.code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('status::status.label.description'),
                "placeholder" => trans('status::status.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'package::package.formcontrols.DATETIME',
                "type" => 'package::package.formcontrols.DATETIME',
                "label" => trans('status::status.label.modified_at'),
                "placeholder" => trans('status::status.placeholder.modified_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('status::status.label.)'),
                "placeholder" => trans('status::status.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.PRIMARY',
                "type" => 'package::package.formcontrols.PRIMARY',
                "label" => trans('status::status.label.),'),
                "placeholder" => trans('status::status.placeholder.),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
