<?php

namespace Status\Status\Repositories\Eloquent;

use Status\Status\Interfaces\StatusRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Status\Status\Repositories\Eloquent\Presenters\StatusItemPresenter;


class StatusRepository extends BaseRepository implements StatusRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('status.status.status.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('status.status.status.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return StatusItemPresenter::class;
    }
}
