<?php

namespace Status\Status\Workflow;

use Status\Status\Models\Status;
use Status\Status\Notifications\StatusWorkflow as StatusNotifyer;
use Notification;

class StatusNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Status $status
     *
     * @return void
     */
    public function complete(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Status $status
     *
     * @return void
     */
    public function verify(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Status $status
     *
     * @return void
     */
    public function approve(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Status $status
     *
     * @return void
     */
    public function publish(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Status $status
     *
     * @return void
     */
    public function archive(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Status $status
     *
     * @return void
     */
    public function unpublish(Status $status)
    {
        return Notification::send($status->user, new StatusNotifyer($status, 'unpublish'));;

    }
}
